Subject: MISC.

From: "Christophe N. Christoff" <[email-masked]>
Date: Mon, 30 Apr 90 22:08:26 -0400

There are a few comments on this net.

1. PostScript or not?

    Dr. Wang spent quite some time to update somebody's postscript
driver to include Chinese.  A program is written to convert Bitmapped
Chinese to a font so that the Chinese can be resized.  Particularly
he wants everybody to go after postscript printers.  Here is some
of my view on this :

    Postscript is good, especially that is want you paid for.  The
question is without a vectored font, this kind if postscript effect
can be achieved equally by much cost effective printers.  Here is how:

    Postscript first casts bitmapped font to 1000x1000 matrix, there
any manipulation is made like resizing, tilt, etc...   then recast the
image back to the point size you specified on 300 dots/inch printers.
Of course, since this operation on postscript printers is hardware
supported, no doubt that it is much faster (you even do not need to write this
casting programs) than a software suppored mechanism.  The point here
is, without paying higher cost for printers, you can still achieve kind  of
postscript just by software emulation although it is much slower than
hardware post script printers.   Any comment/correction on my
 understanding of postscript mechanism is welcome.

   2.  Byx V2.0, quite few people are excited by the news of providing
64x64 font.  I just want to remind this would output a Chinese character
with minimum size of 16 points.  For best printing results, you should
have a series of libraries which, if available , are quite disk-space
consuming. I do not know whether Byx v2.0 fixes the
problem with "find" option, you should be careful if you are going to
replace something.  Byx v1.1 finds ASCII instead of Chinese!  By this I mean
Byx v1.1 finds whatever is the match string even though the string might come
from last part of first Chinese character and first part of second Chinese
character.

   3.  CCDOS and some CHINESE WP.  By CCDOS it means you can access
Chinese character from alwost any other program, be it WP or not.  So,
CCDOS is more difficult to write than a WP like Byx which is not a
resident program.  The resident program especially CCDOS will make other
program slower since not too much working RAM available for other
program to run.  If the new CCDOS can operate on top of regular DOS,
and provide an option to deactive it, it could be perfect.

   4.  Scans Chinese character using a scanner?  using the casting
mechanism I mentioned in (1) can certainly recognize which character
you scan.  The only problem is how fast the process it is.  Here I
propose a mechanism if any one has the device and the time:

Suppose you have 16x16 Chinese library.  it will give unique 32 bytes.
Scan in one Chinese character, capture as 16x16  in size, compare
with each byte.  If Chinese is in right type, there should be a
perfect match.  Thus, you got that character.

Resizing can be done the following way:

    Suppose you have 16x16 matrix, now you want to resize to 24x24 matrix;
Now, make each dot in 16x16 3x3 matrix, thus, you got 48x48 matrix.
To get 24x24 matrix, use the 48x48 matrix as base, treat every 2x2 small
matrix as a dot, then you got 24x24.  in each 2x2 matrix, if more than
2 (or 3) dots are on, treat this dot as on, otherwise, treat it off.

You see, this principle can be used to resize to any size,
If you have better algrithm, please let us discuss.

5.  It is interesting to see whether Dr. Wang's new sereis libraries
from so complicated operation is the same as the one I proposed here
or not.  You do not need any sophicated hardware, even not fancy
programs.  Any language can be used by this resizing scheme.  Does any
one there have thorough understanding of postscript mechanism, instead
of saying postscript language in general?  I like to hear more fundamental
stuff.

6.  One fellow here also wrote a stroke-based Chinese input program. The
library is not so big.  But the question is that the display library is
totally different from printing library. even for the small size of characters.
Also, these kinds of scheme is pretty bad for traditional Chinese characters.
Did any body count how many strokes the last character in Big-5 system have?
I remember that it is three traditional characters LONG2 (drogan), one sitting
on the top of the other two.

7.  A couple of months ago, People's Daily oversea edition mentioned that
one of Chinese major newspaper uses newly developed computer typeset system
for the production.  Any body has any idea that how this compare with so
called post-script language and postscript printer?  Cost? easy to use?
nice and flexible output?  What is the real frontior of Chinese computing?

8.  I'm writing one of WP like Scott Horne wanted.  I just finish the
screen driver part.  It may take a little more time to finish.  But
I am working on it.  My program will work on any IBM-compatible PC,
not tied with any particular card.  By the way, my program is only a WP,
not CCDOS-type.

9.  For those who are lucky working on the work-stations, you can try to
write a Chinese WP so easily since work-stations are usually support
user-created fonts.  Just write an program which converts a Chinese library
bit-mapped information into a user-created font before displaying it.  You
have a real nice Chinese WP, much better than the one you can get for any
IBM or IBM-compatibles.

=====================================
The above just are some of my thoughts.  They might not be in logic.  But
I hope we can discuss something called "real beef" instead of talking
something we cannot do anything like high density storage device....  Does
any body in CCNET produce any hardware?  It seems to me that this net
should promote people to fully use available hardware, by detailling
the nice features of some hardware/software, or discuss the general
aspects of Chinese WP in detail so that a proper library can be set up, or
pointing out what kind of software/patches are missing among the
available hardware.

Chunqing Cheng